- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# QBuffer Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qbuffer.h.

`#include <qbuffer.h>`

Inheritance diagram for QBuffer:
[legend]

List of all members.

## Public Member Functions
| QBuffer (QObject *parent=0)
| QBuffer (QByteArray *buf, QObject *parent=0)
| ~QBuffer ()
QByteArray & | buffer ()
const QByteArray & | buffer () const
void | setBuffer (QByteArray *a)
void | setData (const QByteArray &data)
void | setData (const char *data, int len)
const QByteArray & | data () const
bool | open (OpenMode openMode)
void | close ()
qint64 | size () const
qint64 | pos () const
bool | seek (qint64 off)
bool | atEnd () const
bool | canReadLine () const
## Protected Member Functions
void | connectNotify (const char *)
void | disconnectNotify (const char *)
qint64 | readData (char *data, qint64 maxlen)
qint64 | writeData (const char *data, qint64 len)

## Constructor & Destructor Documentation

QBuffer | ( | QObject * | parent = `0` | ) | `[explicit]`

QBuffer | ( | QByteArray * | buf,
|  | QObject * | parent = `0`
| ) |  |

~QBuffer | ( |  | ) |

## Member Function Documentation

QByteArray& buffer | ( |  | ) |

Search for all occurrences

const QByteArray& buffer | ( |  | ) | const

Search for all occurrences

void setBuffer | ( | QByteArray * | a | ) |

Search for all occurrences

void setData | ( | const QByteArray & | data | ) |

Search for all occurrences

void setData | ( | const char * | data,
|  | int | len
| ) |  | `[inline]`

Search for all occurrences

Definition at line 105 of file qbuffer.h.

    { setData(QByteArray(adata, alen)); }

const QByteArray& data | ( |  | ) | const

Search for all occurrences

bool open | ( | OpenMode | openMode | ) | `[virtual]`

Search for all occurrences

Reimplemented from QIODevice.

void close | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QIODevice.

qint64 size | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QIODevice.

qint64 pos | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QIODevice.

bool seek | ( | qint64 | off | ) | `[virtual]`

Search for all occurrences

Reimplemented from QIODevice.

bool atEnd | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QIODevice.

bool canReadLine | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QIODevice.

void connectNotify | ( | const char * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

void disconnectNotify | ( | const char * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

qint64 readData | ( | char * | data,
|  | qint64 | maxlen
| ) |  | `[protected, virtual]`

Search for all occurrences

Implements QIODevice.

qint64 writeData | ( | const char * | data,
|  | qint64 | len
| ) |  | `[protected, virtual]`

Search for all occurrences

Implements QIODevice.

The documentation for this class was generated from the following file:

- QtCore/qbuffer.h

QBuffer QBuffer QBuffer QBuffer QBuffer QBuffer QBuffer QBuffer QBuffer QBuffer
QBuffer QBuffer QBuffer QBuffer QBuffer QBuffer QBuffer QBuffer QBuffer QBuffer